import { createApp } from 'vue'
import App from './App.vue'
import router from './router/index'
import store from './store/index'
import ViewUIPlus from 'view-ui-plus'
import 'view-ui-plus/dist/styles/viewuiplus.css'
import './index.less'
import config from '@/config'
import dictutil from '@/libs/dict-util'
import {formatDate} from "@/libs/filters"
import { get, post, patch, put, remove } from '@/libs/basefun'
const app = createApp(App)
app.use(ViewUIPlus);
app.use(router)
app.use(store)
app.mount('#app')
app.config.globalProperties.$config = config

app.config.globalProperties.$dictutil = dictutil;
app.config.globalProperties.$get = get;
app.config.globalProperties.$post = post;
app.config.globalProperties.$patch = patch;
app.config.globalProperties.$put = put;
app.config.globalProperties.$remove = remove;
app.config.globalProperties.$routes = [];
app.config.globalProperties.$formatDate = formatDate;
app.config.globalProperties.$Message.config({
  duration:5
});
